Bug 1538870 - mariadb-tokudb-engine needs mariadb-server version problems
Summary: mariadb-tokudb-engine needs mariadb-server version problems
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-26 01:33 UTC by George R. Goffe
Modified: 2018-01-27 11:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-27 11:05:44 UTC


Attachments (Terms of Use)
tar.gz of flat file of rpm activity (1.33 KB, application/x-gzip)
2018-01-26 18:25 UTC, George R. Goffe
no flags Details

Description George R. Goffe 2018-01-26 01:33:15 UTC
Description of problem:

Attempting to upgrade this system gives error messages (see below).

Version-Release number of selected component (if applicable):
see below

How reproducible:
always

Steps to Reproduce:
1.dnf -y --best upgrade
2.
3.

Actual results:
see error messages below

Expected results:
clean successful system upgrade

Additional info:

Why does DNF issue these suggestions that have NEVER worked for me?



Running transaction check
Error: transaction check vs depsolve:
mariadb-server(x86-64) = 3:10.2.11-1.fc28 is needed by (installed) mariadb-tokudb-engine-3:10.2.11-1.fc28.x86_64

To diagnose the problem, try running: 'rpm -Va --nofiles --nodigest'.
You probably have corrupted RPMDB, running 'rpm --rebuilddb' might fix the issue.

f list mariadb-server
Last metadata expiration check: 0:20:22 ago on Thu 25 Jan 2018 05:07:58 PM PST.
Installed Packages
mariadb-server.x86_64                                                3:10.2.12-2.fc28                                                @rawhide
Available Packages
mariadb-server.x86_64                                                3:10.2.12-3.fc28                                                rawhide 

bash 4.4 ~# rpm -qa | grep mariadb-
mariadb-java-client-javadoc-2.2.1-1.fc28.noarch
mariadb-embedded-10.2.12-2.fc28.x86_64
mariadb-rocksdb-engine-10.2.12-2.fc28.x86_64
mariadb-connector-c-devel-3.0.2-21.fc28.x86_64
mariadb-10.2.12-2.fc28.x86_64
mariadb-common-10.2.12-2.fc28.x86_64
mariadb-server-utils-10.2.12-2.fc28.x86_64
mariadb-devel-10.2.12-2.fc28.x86_64
mariadb-cracklib-password-check-10.2.12-2.fc28.x86_64
mariadb-embedded-devel-10.2.12-2.fc28.x86_64
mariadb-errmsg-10.2.12-2.fc28.x86_64
mariadb-bench-10.2.12-2.fc28.x86_64
mariadb-connect-engine-10.2.12-2.fc28.x86_64
mariadb-gssapi-server-10.2.12-2.fc28.x86_64
mariadb-server-10.2.12-2.fc28.x86_64
mariadb-connector-c-3.0.2-21.fc28.x86_64
mariadb-test-10.2.12-2.fc28.x86_64
mariadb-oqgraph-engine-10.2.12-2.fc28.x86_64
mariadb-connector-odbc-3.0.1-2.fc28.x86_64
mariadb-java-client-2.2.1-1.fc28.noarch
mariadb-server-galera-10.2.12-2.fc28.x86_64
mariadb-config-10.2.12-2.fc28.x86_64
mariadb-tokudb-engine-10.2.11-1.fc28.x86_64
mariadb-sphinx-engine-10.2.12-2.fc28.x86_64
mariadb-backup-10.2.12-2.fc28.x86_64

Comment 1 Michal Schorm 2018-01-26 09:32:56 UTC
Can you please test the 10.2.12-4
https://koji.fedoraproject.org/koji/taskinfo?taskID=24443141
update?

It landed in Rawhide tonight, so it can take day or two to propagate to all mirrors.

Comment 2 George R. Goffe 2018-01-26 18:25:06 UTC
Created attachment 1386629 [details]
tar.gz of flat file of rpm activity

Michal,

I could add the --force option but am not sure that it's the right thing to do or whether it would work.

George...

Comment 3 Michal Schorm 2018-01-26 20:06:51 UTC
My interest is to solve this issue purely by fixing upgrade path - so no 'force' options should be required.

After you download all the RPMs you want to a direcotry, you should be able to:
 # dnf install ./*rpm

and end up with DNF telling you that there's no update issue and asking whether to continue.

--

The "rpm -ivh" command can't handle updates, so it tells you correctly that all the files from already-installed and being-installed RPMs conflists.

If you really want to do the update with 'rpm', instead of 'dnf', you need to specify different arguments, like "rpm -U":
http://ftp.rpm.org/max-rpm/ch-rpm-upgrade.html

Comment 4 George R. Goffe 2018-01-26 20:29:22 UTC
Michal,

I'm happy to report that "dnf upgrade maria*.rpm" has succeeded.

Good work and thanks for your hard work and help!

George...


Note You need to log in before you can comment on or make changes to this bug.